package mqs

import (
	"context"
	"github.com/zeromicro/go-zero/core/logc"
	"github.com/zeromicro/go-zero/core/logx"
	"microGame/app/mq/cmd/kafka/internal/svc"
)

type PokerBet struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewPokerBet(ctx context.Context, svcCtx *svc.ServiceContext) *PokerBet {
	return &PokerBet{
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *PokerBet) Consume(ctx context.Context, key, val string) error {
	logx.Infof("kafka consume Success key :%s , val :%s", key, val)
	logc.Errorf(l.ctx, "logc.Errorf kafka consume Success key :%s , val :%s", key, val)
	return nil
}
